# Handle the incoming configuration files:
config() {
  for infile in $1; do
    NEW="$infile"
    OLD="`dirname $NEW`/`basename $NEW .new`"
    # If there's no config file by that name, mv it over:
    if [ ! -r $OLD ]; then
      mv $NEW $OLD
    elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
      # toss the redundant copy
      rm $NEW
    fi
    # Otherwise, we leave the .new copy for the admin to consider...
  done
}

# Handle '.new' config files:
config etc/tpbrc.new
config etc/udev/rules.d/01-nvram.rules.new

# Make sure tpb can work at all
if ! [ -e dev/nvram ]; then
  cat <<-EOM
	Please create the '/dev/nvram' device!
	Read the 'installation' section in /usr/doc/tpb-/README.
	For Slackware with udev, run the commands:
	"/etc/rc.d/rc.udev reload" followed by
	"/sbin/modprobe nvram".
	Also add that second command to the file /etc/rc.d/rc.modules ,
	so that the 'dev/nvram' device is created on every boot.
	
	The '/dev/nvram' device must be readable by all. This package adds
	a UDEV rule that does this.
	EOM
fi

# Anyone using xdm/gdm/kdm will see tpb auto-started:
if ! grep "/usr/bin/tpb" etc/xprofile 1>/dev/null 2>&1 ; then
  cat <<-_EOM_ >> etc/xprofile
	
	# Load ThinkPad Buttons
	/usr/bin/tpb -d &
	
	_EOM_
fi

